Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 547722 - dev-qt/qtwebkit-5.4.1 fails to build with GCC 5.1
Summary: dev-qt/qtwebkit-5.4.1 fails to build with GCC 5.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-5
  Show dependency tree
 
Reported: 2015-04-25 16:15 UTC by David Kredba
Modified: 2015-06-17 15:56 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
qtwebkit-5.4.1-gcc-5.1.patch (qtwebkit-5.4.1-gcc-5.1.patch,889 bytes, patch)
2015-05-19 13:10 UTC, Mark Wright
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Kredba 2015-04-25 16:15:44 UTC
Qtwebkit:5 needs a patch to be built with gcc-5.1. 

https://codereview.qt-project.org/#/c/107921/3/Source/JavaScriptCore/runtime/JSObject.cpp,unified

Reproducible: Always
Comment 1 David Kredba 2015-04-25 16:16:21 UTC
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=65292
Comment 2 Mark Wright gentoo-dev 2015-05-19 13:10:57 UTC
Created attachment 403618 [details, diff]
qtwebkit-5.4.1-gcc-5.1.patch

(In reply to David Kredba from comment #0)
> Qtwebkit:5 needs a patch to be built with gcc-5.1. 
> 
> https://codereview.qt-project.org/#/c/107921/3/Source/JavaScriptCore/runtime/
> JSObject.cpp,unified

Thanks for the patch, I reproduced the problem, then copied this patch
(attached) to:
mkdir -p /etc/portage/patches/dev-qt/qtwebkit-5.4.1
Then it builds fine with gcc 5.1.0
Comment 3 Davide Pesavento gentoo-dev 2015-05-19 13:23:30 UTC
The patch will be in 5.4.2, we'll just wait for that (should happen very soon).
Comment 4 Davide Pesavento gentoo-dev 2015-06-17 15:56:25 UTC
fixed in 5.4.2